Conversations

View a conversation

View a conversation.

GET
/conversation/{conversation_id}

View a conversation.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

conversation_id*string

Conversation identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/conversation/string"
{  "conversation": {    "id": "string",    "inbox_id": "string",    "ticket_id": 0,    "has_attachment": true,    "has_inline_attachment": true,    "is_draft": true,    "is_scheduled": true,    "is_snoozed": true,    "active": true,    "subject": "string",    "updated_subject": "string",    "status": "Active",    "is_spam": true,    "priority": "High",    "assignable_type": "string",    "assignable_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "deleted_at": "2019-08-24T14:15:22Z",    "closed_at": "2019-08-24T14:15:22Z",    "excerpt": "string",    "messages_count": 0,    "last_message_created_at": "2019-08-24T14:15:22Z",    "intended_inbox_address_id": "string",    "agents": [      "string"    ],    "contact": {      "id": "string",      "name": "string",      "email": "[email protected]",      "avatar": "http://example.com",      "company": "string",      "website": "string",      "job_title": "string",      "address": "string",      "should_display_image": true,      "notes": "string",      "conversations_count": 0    },    "last_message": {      "id": "string",      "cc": [        "string"      ],      "bcc": [        "string"      ],      "record_type": "string",      "status": "string",      "direction": "string",      "viewed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "text_body": "string",      "excerpt": "string",      "html_body": "string",      "extra": {},      "is_clipped": true,      "intended_inbox_address_id": "string"    },    "custom_field_values": {},    "viewer_id": "string",    "viewed_at": "string",    "last_message_by": "string",    "tags": [      {        "id": "string",        "name": "string",        "color": "string"      }    ]  },  "events": {    "data": [      {        "id": "string",        "action": "string",        "created_at": "2019-08-24T14:15:22Z",        "event_id": "string",        "event_type": "string",        "event": {          "id": "string",          "cc": [            "string"          ],          "bcc": [            "string"          ],          "record_type": "string",          "status": "string",          "direction": "string",          "viewed_at": "2019-08-24T14:15:22Z",          "created_at": "2019-08-24T14:15:22Z",          "text_body": "string",          "excerpt": "string",          "html_body": "string",          "extra": {},          "downloadable_attachments": [            {              "id": "string",              "name": "string",              "size": 0,              "url": "http://example.com",              "download_url": "http://example.com"            }          ],          "is_clipped": true,          "intended_inbox_address_id": "string"        },        "actor_id": "string",        "actor_type": "string",        "actor": {          "id": "string",          "name": "string",          "email": "[email protected]",          "avatar": "http://example.com"        },        "extra": {},        "conversation_id": "string"      }    ],    "links": {      "first": "http://example.com",      "last": "http://example.com",      "prev": "http://example.com",      "next": "http://example.com"    },    "meta": {      "current_page": 0,      "from": 0,      "last_page": 0,      "per_page": 0,      "to": 0,      "total": 0,      "path": "http://example.com",      "links": [        {          "url": "http://example.com",          "label": "string",          "page": 0,          "active": true        }      ]    }  }}